## ncompress 4.2.4.3

=== debian/changelog ===
ncompress (4.2.4.3-6) unstable; urgency=low

  * Rework manpage-syntax patch AGAIN after further discussion with upstream.
    - This change refines my fixes for Lintian's hyphen/dash/minus warnings
    - Minor changes cascaded into remove-zcat.patch and uncompress-real.patch

 -- Kenneth J. Pronovici <pronovic@debian.org>  Mon, 19 Jul 2010 17:32:07 -0500

ncompress (4.2.4.3-5) unstable; urgency=low

  * Rework manpage-syntax.patch after discussion with upstream.
    - Put SEE ALSO section back to its original location and preserve formatting

 -- Kenneth J. Pronovici <pronovic@debian.org>  Mon, 12 Jul 2010 03:43:55 +0000

ncompress (4.2.4.3-4) unstable; urgency=low

  * Rework patches so that they make more sense from an upstream perspective.
  * Fix warnings from the Full Lintian Report in the PTS.
    - Fix spelling errors in compress42.c (in spelling-error.patch)
    - Properly escape "-" in compress.1 (in manpage-syntax.patch)

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sat, 10 Jul 2010 19:34:41 -0500

ncompress (4.2.4.3-3) unstable; urgency=low

  * Stop overriding $(CFLAGS) and accept whatever is passed to debian/rules.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Fri, 02 Jul 2010 19:42:07 -0500

ncompress (4.2.4.3-2) unstable; urgency=low

  * Tweak long and short descriptions.
  * Bump standards version to 3.9.0.0.
  * Add Homepage: tag in debian/control.
  * Convert debian/copyright to new DEP-5 machine-readable format.
  * Convert to source format "3.0 (quilt)"
    - Add new file debian/source/format 
    - Add new patch debian/patches/uncompress-real.patch
    - Add new patch debian/patches/remove-zcat.patch
    - Add new patch debian/patches/manpage-syntax.patch

 -- Kenneth J. Pronovici <pronovic@debian.org>  Mon, 28 Jun 2010 13:33:54 -0500

ncompress (4.2.4.3-1) unstable; urgency=low

  * New upstream release.
  * Bump standards version to 3.8.4 (no packaging changes)

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sun, 28 Feb 2010 11:14:46 -0600

ncompress (4.2.4.2-3) unstable; urgency=low

  * Fix warnings/problems indicated on package tracking page.
    - Bump standards version to 3.8.3 (no packaging changes)
    - Add ${misc:Depends} for all binary packages

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sun, 10 Jan 2010 18:52:27 +0000

ncompress (4.2.4.2-2) unstable; urgency=low

  * Bump standards version to 3.8.1 (no packaging changes).
  * Bump debhelper compatibility to 7, per linitian recommendation.
  * Declare a dependency on debhelper (>= 7.0.1) to match compatibility.
  * Remove unneeded leading .PU in compress.1, to quiet lintian.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sun, 29 Mar 2009 18:07:21 -0500

ncompress (4.2.4.2-1) unstable; urgency=low

  * Move to the SourceForge project, which is actively maintained.
    - Upgrade to version 4.2.4.2
    - Update debian/copyright to note the SF maintainer
    - Updated debian/README.Debian to discuss SF package
    - Updated debian/watch to point to the new upstream source

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sun, 18 Nov 2007 16:42:48 -0600

ncompress (4.2.4.0-3) unstable; urgency=low

  * Fix incorrect reference to /usr/doc (closes: #437106).

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sun,  9 Sep 2007 17:54:50 -0500

ncompress (4.2.4.0-2) unstable; urgency=low

  * Fixed Debian watch file to include "real" upstream version.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sun, 12 Nov 2006 12:23:24 -0600

ncompress (4.2.4.0-1) unstable; urgency=low

  * Fake upstream "version change" to force dak migration (closes: #395486).
    - dak cannot cleanly migrate from non-free to main without a version change
    - Because of this, the sources (orig.tar.gz) were still deployed to non-free

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sat, 28 Oct 2006 13:42:27 -0500

ncompress (4.2.4-16) unstable; urgency=low

  * Bumped standards version to 3.7.2 (no packaging changes).
  * Integrate changes from security team's 4.2.4-15sarge2 upload.
    Apply patch from Tavis Ormandy/Ludwig Nussel to fix missing boundary check.
    [compress42.c, CVE-2006-1168]

 -- Kenneth J. Pronovici <pronovic@debian.org>  Mon, 11 Sep 2006 21:13:13 -0500

ncompress (4.2.4-15) unstable; urgency=low

  * Move to main now that LZW patent has expired (closes: #261282).
  * Update debian/copyright to be clearer about public domain status.
  * Move James A. Woods letter from copyright file to README.Debian.
  * Move detailed location information from copyright file to README.Debian.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Wed, 25 Aug 2004 13:38:42 -0500

ncompress (4.2.4-14) unstable; urgency=low

  * Bumped standards version to 3.6.1 (no package changes).
  * Fix gcc-3.4 build problem (closes: #260723).
    - Add -DNOFUNCDEFS to gcc command, to prevent custom prototypes for
      standard functions from being used by the compiler.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Wed, 21 Jul 2004 20:49:01 -0500

ncompress (4.2.4-13) unstable; urgency=low

  * Disallow maxbits less than 10, to avoid data corruption (closes: #220820).
  * Added note in debian/README.Debian about 9-bit corruption.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Fri, 14 Nov 2003 15:47:08 -0600

ncompress (4.2.4-12) unstable; urgency=low

  * Upstream source changed (ibiblio.org replaced sunsite.unc.edu).
    - Updated debian/watch to use correct URL
    - Updated debian/copyright to note new download location
    - Updated debian/copyright to clarify packaging history

 -- Kenneth J. Pronovici <pronovic@debian.org>  Fri, 19 Sep 2003 10:40:56 -0500

ncompress (4.2.4-11) unstable; urgency=low

  * Changed debian/README.debian to document (lack of) large file support.
  * Changed section to 'optional' in debian/control to match overrides.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Mon, 14 Apr 2003 15:34:36 -0500

ncompress (4.2.4-10) unstable; urgency=low

  * New maintainer (closes: #182937).

