=== debian/rules ===
#!/usr/bin/make -f

binary: binary-arch

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs Acknowleds README
	dh_installchangelogs Changes
	dh_strip
	dh_fixperms
	dh_compress
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-indep: 

install: build
	dh_testdir
	dh_testroot
	dh_installdirs
	install -o root -g root compress debian/ncompress/usr/bin
	ln -s compress debian/ncompress/usr/bin/uncompress.real
	install -o root -g root -m 644 compress.1 debian/ncompress/usr/share/man/man1
	ln -s compress.1 debian/ncompress/usr/share/man/man1/uncompress.real.1

build: build-stamp
build-stamp:
	dh_testdir
	gcc $(CFLAGS) -o compress -DNOFUNCDEF -DCOMPILE_DATE="\"`date`\"" compress42.c
	touch build-stamp

configure:

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	rm -f compress
	dh_clean

.PHONY: binary binary-arch binary-indep install build configure clean
