## ncompress 4.2.4.4

=== debian/changelog ===
ncompress (4.2.4.4-7) unstable; urgency=low

  * Convert debian/rules to debhelper7.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Wed, 24 Apr 2013 16:38:25 +0000

ncompress (4.2.4.4-6) unstable; urgency=low

  * Bump standards version to 3.9.4.0; no packaging changes.
  * Fix buildd log scanner W-build-stamp-in-binary warning in debian/rules.
    - Get rid of configure target (not necessary, causes problems)
  * Make other minor tweaks in debian/rules for consistency.
    - Add new .PHONY targets for all rules that don't create files
    - Change binary to depend on both binary-arch and binary-indep
    - Change binary-arch to depend on install, not build and install

 -- Kenneth J. Pronovici <pronovic@debian.org>  Mon, 31 Dec 2012 19:47:27 +0000

ncompress (4.2.4.4-5) unstable; urgency=low

  * Rearrange debian/rules slightly, to match other packages I maintain.
    - Move configure from build to build-stamp, so it's run consistently.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sat, 31 Mar 2012 21:48:46 +0000

ncompress (4.2.4.4-4) unstable; urgency=low

  * Update to machine-readable debian/copyright file format, version 1.0.
  * Bump standards version to 3.9.3.0; no packaging changes.
  * Add Build-Depends on dpkg-dev (>= 1.16.1), since I use buildflags.mk.
  * Support compile-time hardening to meet the release goal for wheezy.
    - Move to debhelper (>= 9) and debian/compat=9
    - Add $LDFLAGS and $CPPFLAGS in debian/rules (closes: #663581).

 -- Kenneth J. Pronovici <pronovic@debian.org>  Mon, 12 Mar 2012 12:06:24 -0500

ncompress (4.2.4.4-3) unstable; urgency=low

  * Handle changes to build flag behavior introduced with dpkg-dev 1.16.1.
    - Modify debian/rules to set DPKG_EXPORT_BUILDFLAGS=1 and call buildflags.mk

 -- Kenneth J. Pronovici <pronovic@debian.org>  Mon, 26 Sep 2011 12:14:58 -0500

ncompress (4.2.4.4-2) unstable; urgency=low

  * Bump standards version to 3.9.2.0; no packaging changes.
  * Fix Lintian warning: debian-rules-missing-recommended-target
    - Restructure build, build-arch, build-indep targets in debian/rules

 -- Kenneth J. Pronovici <pronovic@debian.org>  Fri, 05 Aug 2011 16:19:01 -0500

ncompress (4.2.4.4-1) unstable; urgency=low

  * New upstream release.
    - Upstream now contains spelling-error.patch and manpage-syntax.patch
    - Tweak remove-zcat.patch and uncompress-real.patch for new compress.1
  * Bump standards version to 3.9.1.0 (no packaging changes).

 -- Kenneth J. Pronovici <pronovic@debian.org>  Mon, 13 Sep 2010 21:07:29 -0500
