=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Kenneth J. Pronovici <pronovic@debian.org>
 Homepage: http://ncompress.sourceforge.net/
-Build-Depends: debhelper (>= 7.0.1)
-Standards-Version: 3.9.0.0
+Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1)
+Standards-Version: 3.9.4.0
 
 Package: ncompress
 Architecture: any
