=== debian/rules ===
#!/usr/bin/make -f

# Set to enable verbose output from debhelper
#export DH_VERBOSE=1

# Export standard build flags like CPFLAGS, LDFLAGS, etc.
# Note that we're using "-include" to make this backport-friendly.
# The buildflags.mk script was introduced along with dpkg-dev 1.16.1.
DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/buildflags.mk

%:
	dh $@

override_dh_installdocs:
	dh_installdocs Acknowleds README

# This takes the place of an upstream install process
override_dh_auto_install:
	install -o root -g root compress debian/ncompress/usr/bin
	ln -s compress debian/ncompress/usr/bin/uncompress.real
	install -o root -g root -m 644 compress.1 debian/ncompress/usr/share/man/man1
	ln -s compress.1 debian/ncompress/usr/share/man/man1/uncompress.real.1

# This takes the place of an upstream build process
override_dh_auto_build:
	gcc $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) -o compress -DNOFUNCDEF -DCOMPILE_DATE="\"`date`\"" compress42.c

# This takes the place of an upstream clean process
override_dh_auto_clean:
	rm -f compress
