=== debian/watch ===
# This watch file uses the qa.debian.org redirector so that SourceForge URLs work
version=3
http://sf.net/ncompress/ncompress-(.*)\.tar\.gz
