## ncompress 4.2.4.5

=== debian/changelog ===
ncompress (4.2.4.5-3) unstable; urgency=medium

  * Incorporate package cleanup from Guillem Jover in guillem:pu/cleanups.
    - In debian/rules, use $(MAKE) rather than make to support parallel builds
    - In debian/rules, use buildtools.mk instead of setting vars manually
    - In debian/rules, no longer require root to build the package
    - In debian/control, split Depends/Build-Depends onto multiple lines
    - In debian/control, remove obsolete dpkg-dev and move to latest debhelper

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sun, 03 Feb 2019 14:55:32 +0000

ncompress (4.2.4.5-2) unstable; urgency=medium

  * Fix regression so soft links can be uncompressed again (fixes: #918836).
    - Add new autopkgtest debian/tests/softlink to catch regressions
    - Add new patch debian/patches/fix-softlinks.patch to remove -DLSTAT

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sat, 12 Jan 2019 15:55:35 +0000

ncompress (4.2.4.5-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards version to 4.3.0.0 (no packaging changes).
  * Fix doc install in debian/rules to use README.md instead of README.
  * Use 'make compress' rather than explicit $(CC) build in debian/rules.
  * Run the new upstream test suite as part of the Debian build process.
  * Refresh debian/patches/uncompress-real.patch to reflect upstream changes.
  * Refresh debian/patches/remove-zcat.patch to reflect upstream changes.
  * Remove debian/patches/code-typos.patch because upstream contains fix.
  * Remove debian/patches/code-warnings.patch because upstream contains fix.
  * Revert some reproducible build changes obviated by upstream improvements.
    - Remove reproducible.patch, because upstream removed COMPILE_DATE usage
    - Remove NCOMPRESS_VERSION in debian/rules, which was used by the patch

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sat, 05 Jan 2019 11:31:48 +0000

ncompress (4.2.4.4-23) unstable; urgency=medium

  * Make testing improvements, including contributions from Ondřej Nový:
    - Use AUTOPKGTEST_ vars instead of ADT_ in test suite

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sat, 20 Oct 2018 10:17:01 +0000

ncompress (4.2.4.4-22) unstable; urgency=medium

  * Bump standards version to 4.2.1.0 (no packaging changes).
  * Convert to correct https copyright file URI.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sun, 16 Sep 2018 18:16:20 +0000

ncompress (4.2.4.4-21) unstable; urgency=medium

  * Bump standards version to 4.2.0.1 (no packaging changes).

 -- Kenneth J. Pronovici <pronovic@debian.org>  Tue, 07 Aug 2018 01:52:17 +0000

ncompress (4.2.4.4-20) unstable; urgency=medium

  * Convert Debian packaging from Subversion to Git.
  * Bump standards version to 4.1.3.0 (no packaging changes).

 -- Kenneth J. Pronovici <pronovic@debian.org>  Wed, 03 Jan 2018 02:42:36 +0000

ncompress (4.2.4.4-19) unstable; urgency=medium

  * Remove "Testsuite: autopkgtest" from debian/control per Lintian warning.
  * Bump standards version to 4.1.1.0 (no packaging changes)

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sun, 12 Nov 2017 21:18:19 +0000

ncompress (4.2.4.4-18) unstable; urgency=medium

  * Fix build process to work when cross-building (closes: #876108).
    - Initial patch contributed by Helmut Grohne <helmut@subdivi.de>
    - Update debian/rules to use a triplet-prefixed compiler
    - Update debian/rules to honor DEB_BUILD_OPTIONS=nocheck

 -- Kenneth J. Pronovici <pronovic@debian.org>  Tue, 19 Sep 2017 00:21:33 +0000

ncompress (4.2.4.4-17) unstable; urgency=medium

  * Bump standards version to 4.0.0.0 (no packaging changes).

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sun, 02 Jul 2017 21:19:50 +0000

ncompress (4.2.4.4-16) unstable; urgency=medium

  * Bump standards version to 3.9.8.0 (no packaging changes).
  * Export "DEB_BUILD_MAINT_OPTIONS = hardening=+all" in debian/rules.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Mon, 20 Jun 2016 20:43:08 +0000

ncompress (4.2.4.4-15) unstable; urgency=medium

  * Remove gzip and diffutils from build deps; they're essential packages.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Tue, 11 Aug 2015 18:14:57 -0500

ncompress (4.2.4.4-14) unstable; urgency=medium

  * Add support for the Debian continuous integration environment.
    - Update debian/control to list Testsuite: autopkgtest
    - Add debian/tests/control to list tests for CI environment
    - Rewrite debian/smoketest in terms of debian/tests scripts

 -- Kenneth J. Pronovici <pronovic@debian.org>  Mon, 10 Aug 2015 13:51:19 -0500

ncompress (4.2.4.4-13) unstable; urgency=medium

  * Add upstream commit URL to code-typos.patch.
  * Add upstream commit URL to code-warnings.patch and adjust to match commit.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sat, 08 Aug 2015 00:52:04 -0500

ncompress (4.2.4.4-12) unstable; urgency=medium

  * Bump standards version to 3.9.6.1 (no packaging changes).

 -- Kenneth J. Pronovici <pronovic@debian.org>  Wed, 05 Aug 2015 13:56:15 -0500

ncompress (4.2.4.4-11) unstable; urgency=medium

  * Update copyright for debian/* files to include 2015.
  * Submit patches from 4.2.4.4-10 to GitHub and add Forwarded: URL.
  * Tweak patch descriptions to remove unncessary leading # character.
  * Add compress version output to debian/smoketest, for completeness.
  * Account for upstream move from SourceForge to GitHub.
    - Fix debian/README.debian, debian/copyright, debian/control, debian/watch

 -- Kenneth J. Pronovici <pronovic@debian.org>  Wed, 05 Aug 2015 11:55:57 -0500

ncompress (4.2.4.4-10) unstable; urgency=medium

  * Add code-typos.patch to to fix typo "vesion" vs "version" in compress42.c.
  * Add a quick unit test to prove that compiled code appears to work.
    - Create shell script debian/smoketest and debian/sample.txt
    - Add override_dh_auto_test in debian/rules to invoke smoketest
    - Add new build dep on gzip (>= 1.2.4) and diffutils (>= 2.7-11)
  * Rebuild with GCC 5 and fix compiler warnings.

