=== debian/control ===
--- 
+++ 
@@ -2,13 +2,19 @@
 Section: utils
 Priority: optional
 Maintainer: Kenneth J. Pronovici <pronovic@debian.org>
-Homepage: http://ncompress.sourceforge.net/
-Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1)
-Standards-Version: 3.9.4.0
+Homepage: https://github.com/vapier/ncompress
+Rules-Requires-Root: no
+Build-Depends:
+ debhelper (>= 11),
+Standards-Version: 4.3.0.0
+Vcs-Browser: https://salsa.debian.org/debian/ncompress
+Vcs-Git: https://salsa.debian.org/debian/ncompress.git
 
 Package: ncompress
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
 Description: original Lempel-Ziv compress/uncompress programs
  This package provides the original compress and uncompress programs that used
  to be the de facto UNIX standard for compressing and uncompressing files.
