## ncompress 4.2.4.6

=== debian/changelog ===
ncompress (4.2.4.6-6) unstable; urgency=medium

  * Bump standards version to 4.6.1.0 (no packaging changes).
  * Update copyright year for Debian contributions in debian/copyright.
  * Add lintian override for pedantic prefer-uscan-symlink warning.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Mon, 05 Sep 2022 22:31:13 +0000

ncompress (4.2.4.6-5) unstable; urgency=medium

  * Bump standards version to 4.6.0.0 (no packaging changes).
  * Update debian/watch to reflect version 4 format (no changes).
  * Fix name of Lintian override per warning from Lintian.
  * Update copyright statement for Debian contributions per Lintian warning.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Wed, 18 Aug 2021 15:14:28 +0000

ncompress (4.2.4.6-4) unstable; urgency=medium

  * Package cleanup based on a review at qa.debian.org.
    - Update debian/control to move to debhelper-compat (= 13)
    - Add Lintian override for debian-watch-does-not-check-gpg-signature

 -- Kenneth J. Pronovici <pronovic@debian.org>  Thu, 29 Oct 2020 21:13:34 +0000

ncompress (4.2.4.6-3) unstable; urgency=low

  * Accept package cleanup from Debian Janitor.
    - Trim trailing whitespace
    - Set upstream metadata

 -- Kenneth J. Pronovici <pronovic@debian.org>  Thu, 16 Jul 2020 23:37:32 -0000

ncompress (4.2.4.6-2) unstable; urgency=medium

  * Bump standards version to 4.5.0.0 (no packaging changes).
  * Adjust debian/watch so it doesn't catch the 4.2.4.6-old file at GitHub.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sat, 27 Jun 2020 18:01:29 +0000

ncompress (4.2.4.6-1) unstable; urgency=medium

  * New upstream release.
  * Adjust debian/patches/fix-softlinks.patch for new upstream GNUmakefile.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Wed, 01 Jan 2020 16:44:34 +0000

ncompress (4.2.4.5-4) unstable; urgency=medium

  * Bump standards version to 4.4.0.1 (no packaging changes).
  * Build-Depend on debhelper-compat (= 12) and remove debian/compat.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sat, 10 Aug 2019 19:40:58 +0000
