=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/ncompress-$1\.tar\.gz/ \
  https://github.com/vapier/ncompress/tags .*/v(\d+\.\d+\.\d+\.\d+)\.tar\.gz
