## ncompress 5.0

=== debian/changelog ===
ncompress (5.0-3) unstable; urgency=medium

  * Update debian/copyright to reflect 2025 for Debian changes.
  * Bump standards version to 4.7.0.0 (no packaging changes).
  * Address ftbfs when using gcc-15 with gcc-15.patch (closes: #1097438).
  * Address warnings from -Wold-style-definition in old-style-functions.patch.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sun, 23 Feb 2025 16:53:21 +0000

ncompress (5.0-2) unstable; urgency=medium

  * Accept patch to fix mandoc warnings in compress.1 (closes: #1071482).
  * Adjust offsets on existing patches so they apply cleanly.
  * Update debian/copyright to reflect 2024 for Debian changes.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Tue, 21 May 2024 21:44:31 +0000

ncompress (5.0-1) unstable; urgency=medium

  * New upstream release.
  * Fix debian/watch to work with new upstream version format.
  * Adjust uncompress-real.patch to account for new upstream filename.
  * Update debian/copyright to reflect 2023 for Debian changes.
  * Bump standards version to 4.6.2.0 (no packaging changes).

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sun, 17 Dec 2023 00:54:42 +0000
