=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Homepage: https://github.com/vapier/ncompress
 Build-Depends: debhelper-compat (= 13)
 Rules-Requires-Root: no
-Standards-Version: 4.6.1.0
+Standards-Version: 4.7.0.0
 Vcs-Browser: https://salsa.debian.org/debian/ncompress
 Vcs-Git: https://salsa.debian.org/debian/ncompress.git
